Debian Bug report logs - #511009
cups: Testpage prints raw pdf output

version graph

Package: cups; Maintainer for cups is Debian Printing Team <debian-printing@lists.debian.org>; Source for cups is src:cups.

Reported by: Felix Koop <fdp@fkoop.de>

Date: Tue, 6 Jan 2009 16:51:06 UTC

Severity: serious

Merged with 515918, 516261, 517665

Found in versions cups/1.3.9-11, cups/1.3.9-13, cups/1.3.9-14

Fixed in version cups/1.3.9-15

Done: Martin Pitt <mpitt@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian CUPS Maintainers <pkg-cups-devel@lists.alioth.debian.org>:
Bug#511009; Package cups. (Tue, 06 Jan 2009 16:51:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Felix Koop <fdp@fkoop.de>:
New Bug report received and forwarded. Copy sent to Debian CUPS Maintainers <pkg-cups-devel@lists.alioth.debian.org>. (Tue, 06 Jan 2009 16:51:09 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Felix Koop <fdp@fkoop.de>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: cups: Testpage prints raw pdf output
Date: Tue, 06 Jan 2009 17:49:26 +0100
Package: cups
Version: 1.3.9-11
Severity: important


After having upgraded to the latest version of Cups in experimental (1.3.9-11), I cannot print a testpage or any
other document on my HP LJ 1010. Instead I always get raw pdf output. Switching back to the version in
SID (1.3.8-1lenny4) fixes the problem.

-- System Information:
Debian Release: 5.0
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'testing'), (1, 'experimental')
Architecture: i386 (i686)

Kernel: Linux 2.6.26-1-686 (SMP w/1 CPU core)
Locale: LANG=de_DE.UTF-8, LC_CTYPE=de_DE.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages cups depends on:
ii  adduser               3.110              add and remove users and groups
ii  bc                    1.06.94-3          The GNU bc arbitrary precision cal
ii  cups-common           1.3.9-11           Common UNIX Printing System(tm) - 
ii  debconf [debconf-2.0] 1.5.24             Debian configuration management sy
ii  ghostscript           8.63.dfsg.1-2      The GPL Ghostscript PostScript/PDF
ii  libavahi-compat-libdn 0.6.24-1           Avahi Apple Bonjour compatibility 
ii  libc6                 2.7-18             GNU C Library: Shared libraries
ii  libcups2              1.3.9-11           Common UNIX Printing System(tm) - 
ii  libcupsimage2         1.3.9-11           Common UNIX Printing System(tm) - 
ii  libdbus-1-3           1.2.8-1            simple interprocess messaging syst
ii  libgcc1               1:4.3.2-2~exp5     GCC support library
ii  libgnutls26           2.6.3-1            the GNU TLS library - runtime libr
ii  libijs-0.35           0.35-6             IJS raster image transport protoco
ii  libkrb53              1.6.dfsg.4~beta1-5 MIT Kerberos runtime libraries
ii  libldap-2.4-2         2.4.11-1           OpenLDAP libraries
ii  libpam0g              1.0.1-4            Pluggable Authentication Modules l
ii  libpaper1             1.1.23+nmu1        library for handling paper charact
ii  libpoppler3           0.8.7-1            PDF rendering library
ii  libslp1               1.2.1-7.5          OpenSLP libraries
ii  libstdc++6            4.3.2-2~exp5       The GNU Standard C++ Library v3
ii  lsb-base              3.2-20             Linux Standard Base 3.2 init scrip
ii  perl-modules          5.10.0-19          Core Perl modules
ii  poppler-utils [xpdf-u 0.8.7-1            PDF utilitites (based on libpopple
ii  procps                1:3.2.7-9          /proc file system utilities
ii  ssl-cert              1.0.23             simple debconf wrapper for OpenSSL
ii  zlib1g                1:1.2.3.3.dfsg-12  compression library - runtime

Versions of packages cups recommends:
ii  avahi-utils           0.6.24-1           Avahi browsing, publishing and dis
ii  cups-client           1.3.9-11           Common UNIX Printing System(tm) - 
ii  foomatic-filters      3.0.2-20080211-3.2 OpenPrinting printer support - fil
ii  gsfonts-x11           0.21               Make Ghostscript fonts available t
ii  smbclient             2:3.3.0~rc2-3      command-line SMB/CIFS clients for 
ii  ttf-freefont          20080912-1         Freefont Serif, Sans and Mono True

Versions of packages cups suggests:
ii  cups-bsd                1.3.9-11         Common UNIX Printing System(tm) - 
pn  cups-driver-gutenprint  <none>           (no description available)
ii  cups-pdf                2.4.8-4          PDF printer for CUPS
ii  foomatic-db             20080211-2+nmu1  OpenPrinting printer support - dat
ii  foomatic-db-engine      3.0.2-20080211-1 OpenPrinting printer support - pro
ii  hplip                   2.8.12-1         HP Linux Printing and Imaging Syst
pn  xpdf-korean | xpdf-japa <none>           (no description available)

-- debconf information:
  cupsys/raw-print: true
  cupsys/backend: ipp, lpd, parallel, scsi, serial, socket, usb, snmp, dnssd




Information forwarded to debian-bugs-dist@lists.debian.org, Debian CUPS Maintainers <pkg-cups-devel@lists.alioth.debian.org>:
Bug#511009; Package cups. (Sun, 25 Jan 2009 15:33:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Felix Koop <fdp@fkoop.de>:
Extra info received and forwarded to list. Copy sent to Debian CUPS Maintainers <pkg-cups-devel@lists.alioth.debian.org>. (Sun, 25 Jan 2009 15:33:05 GMT) Full text and rfc822 format available.

Message #10 received at 511009@bugs.debian.org (full text, mbox):

From: Felix Koop <fdp@fkoop.de>
To: 511009@bugs.debian.org
Subject: cups: Testpage prints raw pdf output
Date: Sun, 25 Jan 2009 16:30:44 +0100
This bug is still there in 1.3.9-12
-- 
Mit freundlichen Grüßen

Felix Koop





Information forwarded to debian-bugs-dist@lists.debian.org, Debian CUPS Maintainers <pkg-cups-devel@lists.alioth.debian.org>:
Bug#511009; Package cups. (Sun, 25 Jan 2009 21:24:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Michael W. Fender" <fluxxdog@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian CUPS Maintainers <pkg-cups-devel@lists.alioth.debian.org>. (Sun, 25 Jan 2009 21:24:05 GMT) Full text and rfc822 format available.

Message #15 received at 511009@bugs.debian.org (full text, mbox):

From: "Michael W. Fender" <fluxxdog@gmail.com>
To: 511009@bugs.debian.org
Subject: cups prints raw pdf output
Date: Sun, 25 Jan 2009 16:18:59 -0500
This happens as well with an HP Deskjet 3740.  As previously stated, 
downgrading from 1.3.9-* to 1.3.8-1lenny4.1 works around this.  Only 
downgrading the cups package is needed, as leaving its dependencies at the 
most current version (1.3.9-12) works perfectly fine.
-- 
Fluxxdog

The worst crime you can commit against another human being is to make them 
think. 





Information forwarded to debian-bugs-dist@lists.debian.org, Ubuntu Core Developers <ubuntu-devel-discuss@lists.ubuntu.com>:
Bug#511009; Package cups. (Mon, 16 Feb 2009 16:57:15 GMT) Full text and rfc822 format available.

Acknowledgement sent to Marcel <tanuva@googlemail.com>:
Extra info received and forwarded to list. Copy sent to Ubuntu Core Developers <ubuntu-devel-discuss@lists.ubuntu.com>. (Mon, 16 Feb 2009 16:57:16 GMT) Full text and rfc822 format available.

Message #20 received at 511009@bugs.debian.org (full text, mbox):

From: Marcel <tanuva@googlemail.com>
To: 511009@bugs.debian.org
Subject: Same here
Date: Mon, 16 Feb 2009 17:55:51 +0100
1.3.9-13 from sid shows the same behaviour on my Photosmart 7450, the 
workaround by installing the lenny version of the cups package only works 
fine.

--
Marcel




Information forwarded to debian-bugs-dist@lists.debian.org, Debian CUPS Maintainers <pkg-cups-devel@lists.alioth.debian.org>:
Bug#511009; Package cups. (Thu, 19 Feb 2009 05:42:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Hongzheng Wang <wanghz@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian CUPS Maintainers <pkg-cups-devel@lists.alioth.debian.org>. (Thu, 19 Feb 2009 05:42:02 GMT) Full text and rfc822 format available.

Message #25 received at 511009@bugs.debian.org (full text, mbox):

From: Hongzheng Wang <wanghz@gmail.com>
To: 511009@bugs.debian.org
Subject: Found similar problem with HP LaserJet 2420dn
Date: Thu, 19 Feb 2009 13:39:41 +0800
The printer always outputs plain text containing source code of pdf.
That is, something like,

%PDF-1.3
%1234
% This file was generated by pdftopdf
%%PDFTOPDFNumCopies : 1
%%PDFTOPDFCollate : false
1 0 obj
...

This bug seems exists in the version above 1.3.9-11.

-- 
HZ




Information forwarded to debian-bugs-dist@lists.debian.org, Debian CUPS Maintainers <pkg-cups-devel@lists.alioth.debian.org>:
Bug#511009; Package cups. (Fri, 20 Feb 2009 02:06:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Michael W. Fender" <fluxxdog@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian CUPS Maintainers <pkg-cups-devel@lists.alioth.debian.org>. (Fri, 20 Feb 2009 02:06:02 GMT) Full text and rfc822 format available.

Message #30 received at 511009@bugs.debian.org (full text, mbox):

From: "Michael W. Fender" <fluxxdog@gmail.com>
To: 511009@bugs.debian.org
Subject: Still exists in 1.3.9-14
Date: Thu, 19 Feb 2009 21:07:12 -0500
Garbage is still being output with 1.3.9-14.  Again, downgrading just the cups 
package to 1.3.8-1lenny4.1 gets the printer to print correctly again.  
Dependency versions seem irrelevant.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian CUPS Maintainers <pkg-cups-devel@lists.alioth.debian.org>:
Bug#511009; Package cups. (Sun, 01 Mar 2009 01:39:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to bdale@gag.com (Bdale Garbee):
Extra info received and forwarded to list. Copy sent to Debian CUPS Maintainers <pkg-cups-devel@lists.alioth.debian.org>. (Sun, 01 Mar 2009 01:39:02 GMT) Full text and rfc822 format available.

Message #35 received at 511009@bugs.debian.org (full text, mbox):

From: bdale@gag.com (Bdale Garbee)
To: 511009@bugs.debian.org, control@bugs.debian.org
Cc: keithp@keithp.com
Subject: all output printed as raw pdf
Date: Sat, 28 Feb 2009 18:36:11 -0700 (MST)
severity 511009 serious
thanks

I'm seeing this problem now.

All of my printers started spewing pages of raw pdf when I upgraded to 
cups 1.3.9-14 yesterday from whatever was in unstable as of a week or so
ago.  All of them are HP devices using hplip and network interfaces.

The problem apparently is that the files in /etc/cups/ppd ended up with 
two lines starting '*cupsFilter:', like:

  *cupsFilter: "application/vnd.cups-postscript 100 foomatic-rip"
  *cupsFilter: "application/vnd.cups-pdf 0 foomatic-rip"

Removing the second line and changing the '100' in the first to '0' got
things working again.

I gather this is a transition problem in the move from ps to pdf that foomatic
isn't quite ready for yet?  In any case, it's a pretty horrific bug that 
really must get resolved before squeeze releases, so I'm increasing the 
severity on this bug to serious.

Bdale




Severity set to `serious' from `important' Request was from bdale@gag.com (Bdale Garbee) to control@bugs.debian.org. (Sun, 01 Mar 2009 01:39:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian CUPS Maintainers <pkg-cups-devel@lists.alioth.debian.org>:
Bug#511009; Package cups. (Sun, 01 Mar 2009 01:48:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Keith Packard <keithp@keithp.com>:
Extra info received and forwarded to list. Copy sent to Debian CUPS Maintainers <pkg-cups-devel@lists.alioth.debian.org>. (Sun, 01 Mar 2009 01:48:02 GMT) Full text and rfc822 format available.

Message #42 received at 511009@bugs.debian.org (full text, mbox):

From: Keith Packard <keithp@keithp.com>
To: Bdale Garbee <bdale@gag.com>
Cc: keithp@keithp.com, 511009@bugs.debian.org
Subject: Re: all output printed as raw pdf
Date: Sat, 28 Feb 2009 17:46:19 -0800
[Message part 1 (text/plain, inline)]
On Sat, 2009-02-28 at 18:36 -0700, Bdale Garbee wrote:

> I gather this is a transition problem in the move from ps to pdf that foomatic
> isn't quite ready for yet?  In any case, it's a pretty horrific bug that 
> really must get resolved before squeeze releases, so I'm increasing the 
> severity on this bug to serious.

Yes, it looks like foomatic version 4.0 supports PDF as an input format,
so when that is incorporated into sid, we can use that instead of PS for
foomatic-based printers.

http://www.h-online.com/news/Foomatic-4-brings-PDF-workflow-to-Linux--/112425

-- 
keith.packard@intel.com
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian CUPS Maintainers <pkg-cups-devel@lists.alioth.debian.org>:
Bug#511009; Package cups. (Sun, 01 Mar 2009 03:48:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to q-funk@iki.fi:
Extra info received and forwarded to list. Copy sent to Debian CUPS Maintainers <pkg-cups-devel@lists.alioth.debian.org>. (Sun, 01 Mar 2009 03:48:04 GMT) Full text and rfc822 format available.

Message #47 received at 511009@bugs.debian.org (full text, mbox):

From: Martin-Éric Racine <q-funk@iki.fi>
To: Bdale Garbee <bdale@gag.com>, 511009@bugs.debian.org
Subject: Re: [Pkg-cups-devel] Bug#511009: all output printed as raw pdf
Date: Sun, 1 Mar 2009 05:36:58 +0200
On Sun, Mar 1, 2009 at 3:36 AM, Bdale Garbee <bdale@gag.com> wrote:
> severity 511009 serious
> thanks
>
> I'm seeing this problem now.
>
> All of my printers started spewing pages of raw pdf when I upgraded to
> cups 1.3.9-14 yesterday from whatever was in unstable as of a week or so
> ago.  All of them are HP devices using hplip and network interfaces.
>
> The problem apparently is that the files in /etc/cups/ppd ended up with
> two lines starting '*cupsFilter:', like:
>
>  *cupsFilter: "application/vnd.cups-postscript 100 foomatic-rip"
>  *cupsFilter: "application/vnd.cups-pdf 0 foomatic-rip"
>
> Removing the second line and changing the '100' in the first to '0' got
> things working again.
>
> I gather this is a transition problem in the move from ps to pdf that foomatic
> isn't quite ready for yet?  In any case, it's a pretty horrific bug that
> really must get resolved before squeeze releases, so I'm increasing the
> severity on this bug to serious.

Given the sheer amount of people that have complained since just
before Lenny was released, I'd be tempted to drop a patch in
debian/patches to make exactly that small change and to even release
this with the next Lenny RC update. While this isn't a security issue,
it's enough of a drastic change and simple enough to fix that it might
be worth including in that next Lenny RC release.  CUPS team, how
about it?

Martin-Éric




Information forwarded to debian-bugs-dist@lists.debian.org, Debian CUPS Maintainers <pkg-cups-devel@lists.alioth.debian.org>:
Bug#511009; Package cups. (Sun, 01 Mar 2009 16:24:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Martin Pitt <mpitt@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian CUPS Maintainers <pkg-cups-devel@lists.alioth.debian.org>. (Sun, 01 Mar 2009 16:24:02 GMT) Full text and rfc822 format available.

Message #52 received at 511009@bugs.debian.org (full text, mbox):

From: Martin Pitt <mpitt@debian.org>
To: q-funk@iki.fi, 511009@bugs.debian.org
Cc: Bdale Garbee <bdale@gag.com>
Subject: Re: [Pkg-cups-devel] Bug#511009: Bug#511009: all output printed as raw pdf
Date: Sun, 1 Mar 2009 17:23:03 +0100
Martin-Éric Racine [2009-03-01  5:36 +0200]:
> Given the sheer amount of people that have complained since just
> before Lenny was released, I'd be tempted to drop a patch in
> debian/patches to make exactly that small change and to even release
> this with the next Lenny RC update. While this isn't a security issue,
> it's enough of a drastic change and simple enough to fix that it might
> be worth including in that next Lenny RC release.  CUPS team, how
> about it?

How is that a lenny problem at all? The PDF filter flow is a squeeze
feature, lenny still uses good ol' PostScript workflow, and of course
there's no plan at all to introduce the PDF chain into lenny.

Martin

-- 
Martin Pitt                        | http://www.piware.de
Ubuntu Developer (www.ubuntu.com)  | Debian Developer  (www.debian.org)




Information forwarded to debian-bugs-dist@lists.debian.org, Debian CUPS Maintainers <pkg-cups-devel@lists.alioth.debian.org>:
Bug#511009; Package cups. (Sun, 01 Mar 2009 16:27:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to q-funk@iki.fi:
Extra info received and forwarded to list. Copy sent to Debian CUPS Maintainers <pkg-cups-devel@lists.alioth.debian.org>. (Sun, 01 Mar 2009 16:27:02 GMT) Full text and rfc822 format available.

Message #57 received at 511009@bugs.debian.org (full text, mbox):

From: Martin-Éric Racine <q-funk@iki.fi>
To: Martin Pitt <mpitt@debian.org>
Cc: 511009@bugs.debian.org, Bdale Garbee <bdale@gag.com>
Subject: Re: [Pkg-cups-devel] Bug#511009: Bug#511009: all output printed as raw pdf
Date: Sun, 1 Mar 2009 18:25:26 +0200
On Sun, Mar 1, 2009 at 6:23 PM, Martin Pitt <mpitt@debian.org> wrote:
> Martin-Éric Racine [2009-03-01  5:36 +0200]:
>> Given the sheer amount of people that have complained since just
>> before Lenny was released, I'd be tempted to drop a patch in
>> debian/patches to make exactly that small change and to even release
>> this with the next Lenny RC update. While this isn't a security issue,
>> it's enough of a drastic change and simple enough to fix that it might
>> be worth including in that next Lenny RC release.  CUPS team, how
>> about it?
>
> How is that a lenny problem at all? The PDF filter flow is a squeeze
> feature, lenny still uses good ol' PostScript workflow, and of course
> there's no plan at all to introduce the PDF chain into lenny.

Unless I misread reports we received over the past couple of weeks,
people upgrading from Etch were complaining about raw PDF output on
Lenny too?

Martin-Éric




Information forwarded to debian-bugs-dist@lists.debian.org, Debian CUPS Maintainers <pkg-cups-devel@lists.alioth.debian.org>:
Bug#511009; Package cups. (Sun, 01 Mar 2009 16:48:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bdale Garbee <bdale@gag.com>:
Extra info received and forwarded to list. Copy sent to Debian CUPS Maintainers <pkg-cups-devel@lists.alioth.debian.org>. (Sun, 01 Mar 2009 16:48:06 GMT) Full text and rfc822 format available.

Message #62 received at 511009@bugs.debian.org (full text, mbox):

From: Bdale Garbee <bdale@gag.com>
To: Chris Lawrence <lawrencc@debian.org>
Cc: 511009@bugs.debian.org
Subject: foomatic 4.0?
Date: Sun, 01 Mar 2009 09:42:12 -0700
Hi Chris!

I raised the severity on cups bug #511009 yesterday to release-critical,
since the move from postscript to pdf as the default cups output format
broke all of my printers.

As Keith Packard noted in a follow-up to the bug, it appears that
foomatic 4.0 adds support for pdf input.  So, updating the foomatic
version in sid may be the best fix for this bug.

I see you're the maintainer of foomatic-db and friends.  When do you
plan to upgrade the Debian packages to foomatic 4.0 or later?  Are there
other issues with that, or has it just not gotten attention yet?  If the
latter, would you like some help?

Regards,

Bdale





Information forwarded to debian-bugs-dist@lists.debian.org, Debian CUPS Maintainers <pkg-cups-devel@lists.alioth.debian.org>:
Bug#511009; Package cups. (Sun, 01 Mar 2009 17:30:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Martin Pitt <mpitt@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian CUPS Maintainers <pkg-cups-devel@lists.alioth.debian.org>. (Sun, 01 Mar 2009 17:30:06 GMT) Full text and rfc822 format available.

Message #67 received at 511009@bugs.debian.org (full text, mbox):

From: Martin Pitt <mpitt@debian.org>
To: Martin-Éric Racine <q-funk@iki.fi>
Cc: 511009@bugs.debian.org, Bdale Garbee <bdale@gag.com>
Subject: Re: [Pkg-cups-devel] Bug#511009: Bug#511009: all output printed as raw pdf
Date: Sun, 1 Mar 2009 18:26:55 +0100
Martin-Éric Racine [2009-03-01 18:25 +0200]:
> Unless I misread reports we received over the past couple of weeks,
> people upgrading from Etch were complaining about raw PDF output on
> Lenny too?

That should be entirely unrelated to the PDF filter chain, though.

Martin
-- 
Martin Pitt                        | http://www.piware.de
Ubuntu Developer (www.ubuntu.com)  | Debian Developer  (www.debian.org)




Information forwarded to debian-bugs-dist@lists.debian.org, Debian CUPS Maintainers <pkg-cups-devel@lists.alioth.debian.org>:
Bug#511009; Package cups. (Sun, 01 Mar 2009 23:03:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Chris Lawrence <lawrencc@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian CUPS Maintainers <pkg-cups-devel@lists.alioth.debian.org>. (Sun, 01 Mar 2009 23:03:05 GMT) Full text and rfc822 format available.

Message #72 received at 511009@bugs.debian.org (full text, mbox):

From: Chris Lawrence <lawrencc@debian.org>
To: Bdale Garbee <bdale@gag.com>
Cc: 511009@bugs.debian.org
Subject: Re: foomatic 4.0?
Date: Sun, 1 Mar 2009 16:57:29 -0600
On Sun, Mar 1, 2009 at 10:42 AM, Bdale Garbee <bdale@gag.com> wrote:
> I raised the severity on cups bug #511009 yesterday to release-critical,
> since the move from postscript to pdf as the default cups output format
> broke all of my printers.
>
> As Keith Packard noted in a follow-up to the bug, it appears that
> foomatic 4.0 adds support for pdf input.  So, updating the foomatic
> version in sid may be the best fix for this bug.
>
> I see you're the maintainer of foomatic-db and friends.  When do you
> plan to upgrade the Debian packages to foomatic 4.0 or later?  Are there
> other issues with that, or has it just not gotten attention yet?  If the
> latter, would you like some help?

I have some 4.0 packages prepared and I plan to upload them in the
next day or so as soon as I'm sure I updated everything properly
(there were some big changes in the 3.x->4.x transition which make at
least one package go from arch: all to arch: any; I also want to make
sure I got all the dependencies right so a mixed 3.x/4.x installation
can't happen but full upgrades will work).  I have a RL project I need
to finish this afternoon and then I should be able to square away
foomatic.


Chris




Forcibly Merged 511009 515918 516261 517665. Request was from Martin Pitt <mpitt@debian.org> to control@bugs.debian.org. (Mon, 02 Mar 2009 13:15:13 GMT) Full text and rfc822 format available.

Tags added: pending Request was from Martin Pitt <mpitt@debian.org> to control@bugs.debian.org. (Mon, 02 Mar 2009 13:21:10 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian CUPS Maintainers <pkg-cups-devel@lists.alioth.debian.org>:
Bug#511009; Package cups. (Mon, 02 Mar 2009 13:30:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Martin Pitt <mpitt@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian CUPS Maintainers <pkg-cups-devel@lists.alioth.debian.org>. (Mon, 02 Mar 2009 13:30:05 GMT) Full text and rfc822 format available.

Message #81 received at 511009@bugs.debian.org (full text, mbox):

From: Martin Pitt <mpitt@debian.org>
To: 511009@bugs.debian.org
Subject: Re: Processed: tagging 511009
Date: Mon, 2 Mar 2009 14:26:41 +0100
Debian Bug Tracking System [2009-03-02 13:21 +0000]:
> > tags 511009 pending

Just to be more verbose about this, I bumped the Recommends:
foomatic-filters version and added a Breaks: to older versions.

Martin
-- 
Martin Pitt                        | http://www.piware.de
Ubuntu Developer (www.ubuntu.com)  | Debian Developer  (www.debian.org)




Reply sent to Martin Pitt <mpitt@debian.org>:
You have taken responsibility. (Tue, 10 Mar 2009 13:15:02 GMT) Full text and rfc822 format available.

Notification sent to Felix Koop <fdp@fkoop.de>:
Bug acknowledged by developer. (Tue, 10 Mar 2009 13:15:02 GMT) Full text and rfc822 format available.

Message #86 received at 511009-close@bugs.debian.org (full text, mbox):

From: Martin Pitt <mpitt@debian.org>
To: 511009-close@bugs.debian.org
Subject: Bug#511009: fixed in cups 1.3.9-15
Date: Tue, 10 Mar 2009 13:02:04 +0000
Source: cups
Source-Version: 1.3.9-15

We believe that the bug you reported is fixed in the latest version of
cups, which is due to be installed in the Debian FTP archive:

cups-bsd_1.3.9-15_i386.deb
  to pool/main/c/cups/cups-bsd_1.3.9-15_i386.deb
cups-client_1.3.9-15_i386.deb
  to pool/main/c/cups/cups-client_1.3.9-15_i386.deb
cups-common_1.3.9-15_all.deb
  to pool/main/c/cups/cups-common_1.3.9-15_all.deb
cups-dbg_1.3.9-15_i386.deb
  to pool/main/c/cups/cups-dbg_1.3.9-15_i386.deb
cups_1.3.9-15.diff.gz
  to pool/main/c/cups/cups_1.3.9-15.diff.gz
cups_1.3.9-15.dsc
  to pool/main/c/cups/cups_1.3.9-15.dsc
cups_1.3.9-15_i386.deb
  to pool/main/c/cups/cups_1.3.9-15_i386.deb
cupsys-bsd_1.3.9-15_all.deb
  to pool/main/c/cups/cupsys-bsd_1.3.9-15_all.deb
cupsys-client_1.3.9-15_all.deb
  to pool/main/c/cups/cupsys-client_1.3.9-15_all.deb
cupsys-common_1.3.9-15_all.deb
  to pool/main/c/cups/cupsys-common_1.3.9-15_all.deb
cupsys-dbg_1.3.9-15_all.deb
  to pool/main/c/cups/cupsys-dbg_1.3.9-15_all.deb
cupsys_1.3.9-15_all.deb
  to pool/main/c/cups/cupsys_1.3.9-15_all.deb
libcups2-dev_1.3.9-15_i386.deb
  to pool/main/c/cups/libcups2-dev_1.3.9-15_i386.deb
libcups2_1.3.9-15_i386.deb
  to pool/main/c/cups/libcups2_1.3.9-15_i386.deb
libcupsimage2-dev_1.3.9-15_i386.deb
  to pool/main/c/cups/libcupsimage2-dev_1.3.9-15_i386.deb
libcupsimage2_1.3.9-15_i386.deb
  to pool/main/c/cups/libcupsimage2_1.3.9-15_i386.deb
libcupsys2-dev_1.3.9-15_all.deb
  to pool/main/c/cups/libcupsys2-dev_1.3.9-15_all.deb
libcupsys2_1.3.9-15_all.deb
  to pool/main/c/cups/libcupsys2_1.3.9-15_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 511009@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Martin Pitt <mpitt@debian.org> (supplier of updated cups package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Tue, 10 Mar 2009 13:46:19 +0100
Source: cups
Binary: libcups2 libcupsimage2 cups cups-client libcups2-dev libcupsimage2-dev cups-bsd cups-common cups-dbg cupsys cupsys-client cupsys-common cupsys-bsd cupsys-dbg libcupsys2 libcupsys2-dev
Architecture: source all i386
Version: 1.3.9-15
Distribution: unstable
Urgency: low
Maintainer: Debian CUPS Maintainers <pkg-cups-devel@lists.alioth.debian.org>
Changed-By: Martin Pitt <mpitt@debian.org>
Description: 
 cups       - Common UNIX Printing System(tm) - server
 cups-bsd   - Common UNIX Printing System(tm) - BSD commands
 cups-client - Common UNIX Printing System(tm) - client programs (SysV)
 cups-common - Common UNIX Printing System(tm) - common files
 cups-dbg   - Common UNIX Printing System(tm) - debugging symbols
 cupsys     - Common UNIX Printing System (transitional package)
 cupsys-bsd - Common UNIX Printing System (transitional package)
 cupsys-client - Common UNIX Printing System (transitional package)
 cupsys-common - Common UNIX Printing System (transitional package)
 cupsys-dbg - Common UNIX Printing System (transitional package)
 libcups2   - Common UNIX Printing System(tm) - libs
 libcups2-dev - Common UNIX Printing System(tm) - development files
 libcupsimage2 - Common UNIX Printing System(tm) - image libs
 libcupsimage2-dev - Common UNIX Printing System(tm) - image development files
 libcupsys2 - Common UNIX Printing System (transitional package)
 libcupsys2-dev - Common UNIX Printing System (transitional package)
Closes: 511009 516335 518787
Changes: 
 cups (1.3.9-15) unstable; urgency=low
 .
   * Add debian/local/apport-hook.py: Apport package hook, thanks to
     Brian Murray! Install it in debian/rules if we build for Ubuntu.
     (LP: #334080)
   * debian/rules: Move init script priority to 50, so that cups starts later
     in the boot sequence. There is no reason why it should start so early
     (before e. g. gdm). Do the transition on upgrades in debian/cups.postinst.
   * debian/control: Promote ttf-freefont from Recommends to Depends, since the
     PDF filter chain needs it. (Closes: #516335)
   * debian/control: Add "Breaks: foomatic-filters (<< 4.0)", and bump
     Recommends: version. Earlier foomatic-filters do not support the PDF
     filter chain. (Closes: #511009)
   * debian/local/apparmor-profile: Add a few missing rules for Kerberos
     authentication. (LP: #324645)
   * Add bzr-builddeb configuration (merge mode).
   * debian/watch: Update so that it works again.
   * debian/local/apparmor-profile: Allow cups to read /etc/likewise, for
     authentication. (LP: #303927)
   * Add testsuite-increase-wait-timeout.dpatch: Increase test suite's timeout
     for waiting for jobs to 10 minutes, for slower architectures like arm and
     m68k. (Closes: #518787)
Checksums-Sha1: 
 6400e2abf2a991d1e0b3026cb15d9ba0b44e344b 1925 cups_1.3.9-15.dsc
 7456ec44801ae207461c6405cdfb7fd498d07975 327837 cups_1.3.9-15.diff.gz
 b9e1151329c56e044e4a27f483ae3536286f73e9 1182740 cups-common_1.3.9-15_all.deb
 bf7e5da0db945ba74cd9e211198b0206f9aa12cb 59202 cupsys_1.3.9-15_all.deb
 ff1aca752a873e19f21b7c0319d325e9f4a24242 59222 cupsys-client_1.3.9-15_all.deb
 b5543866b6664801866bffd541c6d0a664d9adff 59218 cupsys-common_1.3.9-15_all.deb
 c0c6e00a7109d73ae524bf07cb63c4b9274e6ad6 59216 cupsys-bsd_1.3.9-15_all.deb
 529762b4656db32eca060cd2ff2fe8470b2bd3db 59216 cupsys-dbg_1.3.9-15_all.deb
 e642c6701f9451d0f32f4b5a7bbbef1a3a65f780 59224 libcupsys2_1.3.9-15_all.deb
 c2d735cf2db731c028459d4f9e51e9d4aae173a3 59228 libcupsys2-dev_1.3.9-15_all.deb
 58f16dd959ca6435b6b8a00edcba4187584f2c9f 172280 libcups2_1.3.9-15_i386.deb
 20f3c341d4e4f2e5ed25a9efe196a645e3e4fd41 106258 libcupsimage2_1.3.9-15_i386.deb
 0d26d44e922be85f6dee4633cf66f3581b14a9b1 2205504 cups_1.3.9-15_i386.deb
 8848e6de503b1e20b6bea99b12dd805e9daeb874 114962 cups-client_1.3.9-15_i386.deb
 0160c77a489e15e77cfb2b9f7eb90c89bda9f019 402578 libcups2-dev_1.3.9-15_i386.deb
 49d636abbbe57556ce67efe10b0cfb75eead2768 60516 libcupsimage2-dev_1.3.9-15_i386.deb
 6aa7ac89df21ed4cfaf9f156c64a8c407b01e344 36330 cups-bsd_1.3.9-15_i386.deb
 b8658580b4ab1c3ce4506b252410254e08fb5207 1517252 cups-dbg_1.3.9-15_i386.deb
Checksums-Sha256: 
 777760e07ba6a7500e7b74db45056e40344ecd1062bec7b546f42cd1c5c24823 1925 cups_1.3.9-15.dsc
 8d400b28d2ddf434b4fb94c36037a6f0e52cde63a681295e40a86de698d2fb92 327837 cups_1.3.9-15.diff.gz
 f9f2ae2025068351d00954078169bac0083072ff863e6a577585a350f50946cd 1182740 cups-common_1.3.9-15_all.deb
 17525f0bdf493b1f88312becce6956bed447e6c4e76e2bf114c06b7a5b694ee8 59202 cupsys_1.3.9-15_all.deb
 bef4bde2cc7a2182b40c9a49a613294e3c69c1a05ddbd7c7d8d9a43b729d867a 59222 cupsys-client_1.3.9-15_all.deb
 ce28438e4520eca77cee470758d1de9aad838599b5e4bc8c10d81036b58d95ad 59218 cupsys-common_1.3.9-15_all.deb
 adaae1971037e4231854ec315071332cc657dd6bbefe668ae9712f9d067b1c15 59216 cupsys-bsd_1.3.9-15_all.deb
 f2de34afd5979bec50d0de9d3b764dee243752bc3a19cc5e4857cda853676b9c 59216 cupsys-dbg_1.3.9-15_all.deb
 819d2b74a10ec75f4b95a0324e6b2f89306ea34acffa84880152f816ae94399a 59224 libcupsys2_1.3.9-15_all.deb
 7c643e0fdb91d4be3bf4ff50782483b64a3d9e0743470eec24ae77cd75a3bcc9 59228 libcupsys2-dev_1.3.9-15_all.deb
 8fc9bfcf1bf6675ecd638501fe792a966fcc2cbfcf2fbc775d35e96283a969d7 172280 libcups2_1.3.9-15_i386.deb
 90c534e1799fb54860cf2f0cbcda551dc699b10f25bfac4d42b53d1a146b838e 106258 libcupsimage2_1.3.9-15_i386.deb
 c55971961800bab520aaa187ef61a350b2ab8b516d60c94cd0084669fbf871ee 2205504 cups_1.3.9-15_i386.deb
 7dfa0af6461d4ad0e688e34135889d1f2ef40bb982cfce5b6b3a1c57a5bdc57f 114962 cups-client_1.3.9-15_i386.deb
 8a36e1ba76676253cd68d8b9eed110ac11d50daf571fe0ace8cf5972d9b98b27 402578 libcups2-dev_1.3.9-15_i386.deb
 00fd641f1dac91824ae60e25abc46c0e139ea461c04d805eecac275d2022479b 60516 libcupsimage2-dev_1.3.9-15_i386.deb
 c3462bc1fd0abf863ff7186975b9c1748feb3c5cc0b63d837d62f7f45557eaec 36330 cups-bsd_1.3.9-15_i386.deb
 86ccf8cf9671ada3e77693f4dd207c4f9e6152df31b908b20cd5e699c7f1b0ef 1517252 cups-dbg_1.3.9-15_i386.deb
Files: 
 c27f976f01c48ba4dd3446f0a390b123 1925 net optional cups_1.3.9-15.dsc
 515381d0c3276ab941ce3d6336795de0 327837 net optional cups_1.3.9-15.diff.gz
 a0f41d12877ca965473bc47b17f983ae 1182740 net optional cups-common_1.3.9-15_all.deb
 5ae40323e8c2857966fc8cd1005b6fb6 59202 oldlibs extra cupsys_1.3.9-15_all.deb
 3ec7899eb1b888f5601b7a08ed904ed6 59222 oldlibs extra cupsys-client_1.3.9-15_all.deb
 911cb0fc13b415a209bfb88b6954005f 59218 oldlibs extra cupsys-common_1.3.9-15_all.deb
 5760e6b7d6e01fedd2f6b591b26e09a6 59216 oldlibs extra cupsys-bsd_1.3.9-15_all.deb
 6f7dff5e83f8f581e31518d29ab7b587 59216 oldlibs extra cupsys-dbg_1.3.9-15_all.deb
 468aab2834fc4ee74450db342cf8e426 59224 oldlibs extra libcupsys2_1.3.9-15_all.deb
 5badd3931fbcad58bd60224b1c56421e 59228 oldlibs extra libcupsys2-dev_1.3.9-15_all.deb
 077e53b510c48df96bc1f88dab0be7bd 172280 libs optional libcups2_1.3.9-15_i386.deb
 7f1370f0576b872011bb96d56b3820e6 106258 libs optional libcupsimage2_1.3.9-15_i386.deb
 1b781b37374e2ef1f6d33c83159e60af 2205504 net optional cups_1.3.9-15_i386.deb
 0ba6e14f74632b04a200bd63df92352a 114962 net optional cups-client_1.3.9-15_i386.deb
 46e13ade9939d9912869340c788a8d59 402578 libdevel optional libcups2-dev_1.3.9-15_i386.deb
 8e528741949ee208be227fae0adf7387 60516 libdevel optional libcupsimage2-dev_1.3.9-15_i386.deb
 b945593878d046428f706328b8c63fd8 36330 net extra cups-bsd_1.3.9-15_i386.deb
 7829fc4f0d24e93fbea42e90c144a039 1517252 libdevel extra cups-dbg_1.3.9-15_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAkm2Y24ACgkQDecnbV4Fd/KB4gCfWRNGBp/Ouf56btCF6TNAXCC2
RkYAn0MmfOvrN+zkaap1RHr//UIJd4oP
=MYpD
-----END PGP SIGNATURE-----





Reply sent to Martin Pitt <mpitt@debian.org>:
You have taken responsibility. (Tue, 10 Mar 2009 13:15:03 GMT) Full text and rfc822 format available.

Notification sent to Paul van Tilburg <paulvt@debian.org>:
Bug acknowledged by developer. (Tue, 10 Mar 2009 13:15:03 GMT) Full text and rfc822 format available.

Reply sent to Martin Pitt <mpitt@debian.org>:
You have taken responsibility. (Tue, 10 Mar 2009 13:15:04 GMT) Full text and rfc822 format available.

Notification sent to newbeewan@nativobject.com, newbeewan_nospam@nativobject.com:
Bug acknowledged by developer. (Tue, 10 Mar 2009 13:15:04 GMT) Full text and rfc822 format available.

Reply sent to Martin Pitt <mpitt@debian.org>:
You have taken responsibility. (Tue, 10 Mar 2009 13:15:05 GMT) Full text and rfc822 format available.

Notification sent to Baggett Jonas <Jonas.Baggett@edu.hefr.ch>:
Bug acknowledged by developer. (Tue, 10 Mar 2009 13:15:06 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 11 Apr 2009 07:27:17 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 19:00:11 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.